Create a Search Index
Create a new search index within a search service
POST
POST /v1/searchIndexes
Create a Search Index
Create a new search index within a search service.Body Parameters
POST /v1/searchIndexes
Returns
Returns the created search index object with all specified properties and system-generated fields.Response
Create or Update (PUT)
UsePUT /v1/searchIndexes instead of POST to perform an upsert. If a search index with the same fullyQualifiedName already exists, it will be updated; otherwise, a new search index is created. The request body is the same as POST.
PUT will not return a 409 conflict error if the entity already exists — it will update the existing entity instead.Bulk Create or Update (PUT)
UsePUT /v1/searchIndexes/bulk to create or update multiple search indexes in a single request. The request body is an array of create request objects.